> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-durgesh-output-language.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Smart Report

> When the records get uploaded, a webhook event is sent to register to get the smart report of the record upload. If there are multiple records upload in upload docs API we need to register web hook for all the document id recevied in the reponse. Use the below request payload to register to webhook. You can find [here](https://ekacare.notion.site/726b13df13ea4409b0cd30c6f3a80315?v=dcd10c722d3149d880ae889b06f4820a) list of parsing capablities we have as of now.



## OpenAPI

````yaml post /mr/webhook/smart-report
openapi: 3.0.0
info:
  title: Document Upload API
  description: API to pre-sign the URL for uploading documents.
  version: 1.0.0
  license:
    name: Proprietary License
    url: https://developer.eka.care/license
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
tags:
  - name: Records
    description: API related to records document management.
paths:
  /mr/webhook/smart-report:
    post:
      tags:
        - Webhooks
      summary: Smart Report
      description: >-
        When the records get uploaded, a webhook event is sent to register to
        get the smart report of the record upload. If there are multiple records
        upload in upload docs API we need to register web hook for all the
        document id recevied in the reponse. Use the below request payload to
        register to webhook. You can find
        [here](https://ekacare.notion.site/726b13df13ea4409b0cd30c6f3a80315?v=dcd10c722d3149d880ae889b06f4820a)
        list of parsing capablities we have as of now.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                event_type:
                  type: string
                  example: smart-report
                timestamp:
                  type: string
                  example: '2023-07-30T18:07:24.000Z'
                data:
                  type: object
                  properties:
                    document_id:
                      type: string
                      description: >-
                        This is document_id which you have recevied Obtain a
                        Presigned URL for Document Upload response
                    webook_url:
                      type: string
                      description: >-
                        This url we will use to send the payload upon successful
                        parsing of the record
      responses:
        '200':
          description: Event registered successfully
        '204':
          description: Event created successfully
        '400':
          description: Bad request
        '403':
          description: Forbidden - Access Denied
        '500':
          description: Something went wrong
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````